Package picard.fingerprint

## Class FingerprintMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.fingerprint.FingerprintMetrics

-     public class FingerprintMetrics
      extends htsjdk.samtools.metrics.MetricBase

  Class for holding metrics on a single fingerprint. Note: this is distinct from `FingerprintingDetailMetrics` and `FingerprintingSummaryMetrics` in that it is calculated on a single fingerprint, and attempts to describe how likely that fingerprint is to have arisen from an actual sample as opposed to having artifacts such as contamination, or strong bias towards homozygous genotypes. Several tests use "expected" genotype distribution based on the allele frequency stored in the haplotype-database file that is used, and assuming Hardy-Weinberg equilibrium. Please see the FingerprintMetrics definitions http://broadinstitute.github.io/picard/picard-metric-definitions.html#FingerprintMetrics " + for a complete description of the metrics produced by this tool.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `CHI_SQUARED_PVALUE` | The Chi-squared pvalue of the observed counts vector relative to the expected counts, (3x2 table)
    `double` | `CROSS_ENTROPY_LOD` | The categorical cross entropy of the counts of genotypes relative to expected (big is bad)
    `long` | `DEFINITE_GENOTYPES` | Number of haplotypes that had enough evidence to make a definite genotype call (genotype LOD > Threshold
    `double` | `DISCRIMINATORY_POWER` | The difference in fingerprinting LOD between LOD_SELF_CHECK and the LOD score found when fingerprinting it against a random permutation of the probablity vectors (PLs) in each of the haplotypes.
    `double` | `EXPECTED_HET` | Expected number of heterozygous calls
    `double` | `EXPECTED_HOM_ALLELE1` | Expected number of major allele homozygous calls
    `double` | `EXPECTED_HOM_ALLELE2` | Expected number of major allele homozygous calls
    `long` | `HAPLOTYPES` | Number of haplotypes examined
    `long` | `HAPLOTYPES_WITH_EVIDENCE` | Number of haplotypes that had evidence in the source file
    `double` | `HET_CHI_SQUARED_PVALUE` | The Chi-squared pvalue for the number of HETs and HOMs relative to the expected counts (2x2 table)
    `double` | `HET_CROSS_ENTROPY_LOD` | The categorical cross entropy of the counts of HETs and HOMs relative to the expected counts (big is bad)
    `double` | `HOM_CHI_SQUARED_PVALUE` | The Chi-squared pvalue for `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE2` relative to the expected counts (2x2 table)
    `double` | `HOM_CROSS_ENTROPY_LOD` | The categorical cross entropy of `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE2` relative to the expected counts (big is bad)
    `String` | `INFO` | Additional information about the fingerprint
    `double` | `LOD_SELF_CHECK` | The fingerprinting LOD score this sample gets when compared to itself (big is good)
    `double` | `LOG10_CHI_SQUARED_PVALUE` | The log10 of the Chi-squared pvalue
    `double` | `LOG10_HET_CHI_SQUARED_PVALUE` | The log10 of the Chi-squared pvalue for the number of HETs and HOMs
    `double` | `LOG10_HOM_CHI_SQUARED_PVALUE` | The log10 of the Chi-squared pvalue for `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE2`
    `long` | `NUM_HET` | Number of heterozygous calls
    `long` | `NUM_HOM_ALLELE1` | Number of major allele homozygous calls
    `long` | `NUM_HOM_ALLELE2` | Number of minor allele homozygous calls
    `long` | `NUM_HOM_ANY` | Number of homozygous calls of either allele (might not be the sum of `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE1` due to rounding
    `String` | `SAMPLE_ALIAS` | The Sample alias taken from RG header or #CHROME line
    `String` | `SOURCE` | The originating file (if available) for this fingerprint

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FingerprintMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SAMPLE_ALIAS

          public String SAMPLE_ALIAS

      The Sample alias taken from RG header or #CHROME line

    - #### SOURCE

          public String SOURCE

      The originating file (if available) for this fingerprint

    - #### INFO

          public String INFO

      Additional information about the fingerprint

    - #### HAPLOTYPES

          public long HAPLOTYPES

      Number of haplotypes examined

    - #### HAPLOTYPES_WITH_EVIDENCE

          public long HAPLOTYPES_WITH_EVIDENCE

      Number of haplotypes that had evidence in the source file

    - #### DEFINITE_GENOTYPES

          public long DEFINITE_GENOTYPES

      Number of haplotypes that had enough evidence to make a definite genotype call (genotype LOD > Threshold

    - #### NUM_HOM_ALLELE1

          public long NUM_HOM_ALLELE1

      Number of major allele homozygous calls

    - #### NUM_HOM_ALLELE2

          public long NUM_HOM_ALLELE2

      Number of minor allele homozygous calls

    - #### NUM_HOM_ANY

          public long NUM_HOM_ANY

      Number of homozygous calls of either allele (might not be the sum of `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE1` due to rounding

    - #### NUM_HET

          public long NUM_HET

      Number of heterozygous calls

    - #### EXPECTED_HOM_ALLELE1

          public double EXPECTED_HOM_ALLELE1

      Expected number of major allele homozygous calls

    - #### EXPECTED_HOM_ALLELE2

          public double EXPECTED_HOM_ALLELE2

      Expected number of major allele homozygous calls

    - #### EXPECTED_HET

          public double EXPECTED_HET

      Expected number of heterozygous calls

    - #### CHI_SQUARED_PVALUE

          public double CHI_SQUARED_PVALUE

      The Chi-squared pvalue of the observed counts vector relative to the expected counts, (3x2 table)

    - #### LOG10_CHI_SQUARED_PVALUE

          public double LOG10_CHI_SQUARED_PVALUE

      The log10 of the Chi-squared pvalue

    - #### CROSS_ENTROPY_LOD

          public double CROSS_ENTROPY_LOD

      The categorical cross entropy of the counts of genotypes relative to expected (big is bad)

    - #### HET_CHI_SQUARED_PVALUE

          public double HET_CHI_SQUARED_PVALUE

      The Chi-squared pvalue for the number of HETs and HOMs relative to the expected counts (2x2 table)

    - #### LOG10_HET_CHI_SQUARED_PVALUE

          public double LOG10_HET_CHI_SQUARED_PVALUE

      The log10 of the Chi-squared pvalue for the number of HETs and HOMs

    - #### HET_CROSS_ENTROPY_LOD

          public double HET_CROSS_ENTROPY_LOD

      The categorical cross entropy of the counts of HETs and HOMs relative to the expected counts (big is bad)

    - #### HOM_CHI_SQUARED_PVALUE

          public double HOM_CHI_SQUARED_PVALUE

      The Chi-squared pvalue for `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE2` relative to the expected counts (2x2 table)

    - #### LOG10_HOM_CHI_SQUARED_PVALUE

          public double LOG10_HOM_CHI_SQUARED_PVALUE

      The log10 of the Chi-squared pvalue for `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE2`

    - #### HOM_CROSS_ENTROPY_LOD

          public double HOM_CROSS_ENTROPY_LOD

      The categorical cross entropy of `NUM_HOM_ALLELE1` and `NUM_HOM_ALLELE2` relative to the expected counts (big is bad)

    - #### LOD_SELF_CHECK

          public double LOD_SELF_CHECK

      The fingerprinting LOD score this sample gets when compared to itself (big is good)

    - #### DISCRIMINATORY_POWER

          public double DISCRIMINATORY_POWER

      The difference in fingerprinting LOD between LOD_SELF_CHECK and the LOD score found when fingerprinting it against a random permutation of the probablity vectors (PLs) in each of the haplotypes. (big is good.)

  - ### Constructor Detail

    - #### FingerprintMetrics

          public FingerprintMetrics()